Loading...
Searching...
No Matches
ranges::adaptor_base Struct Reference
Views

## Public Member Functions

| adaptor_base (adaptor_base &&)=default
| adaptor_base (adaptor_base const &)=default
| adaptor_base (detail::ignore_t, detail::ignore_t={}, detail::ignore_t={})
adaptor_base & | operator= (adaptor_base &&)=default
adaptor_base & | operator= (adaptor_base const &)=default

## Static Public Member Functions

template<typename I > requires random_access_iterator<I>
static void | advance (I &it, iter_difference_t< I > n)
template<typename Rng >
static constexpr auto | begin (Rng &rng) CPP_AUTO_FUN_RETURNS_(return ranges
template<typename I > requires sized_sentinel_for<I, I>
static iter_difference_t< I > | distance_to (I const &it0, I const &it1)
template<typename I , typename S > requires sentinel_for<S, I>
static constexpr bool | empty (I const &it, S const &last)
template<typename I > requires input_or_output_iterator<I>
static void | next (I &it)
template<typename I > requires bidirectional_iterator<I>
static void | prev (I &it)
template<typename I > requires input_or_output_iterator<I>
static iter_reference_t< I > | read (I const &it, detail::adaptor_base_current_mem_fn={}) noexcept(noexcept(iter_reference_t< I >(*it)))